import { defineComponent as m, ref as B, computed as t, openBlock as c, createElementBlock as u, normalizeClass as p, renderSlot as d, createElementVNode as h, unref as i, toDisplayString as g, createCommentVNode as _ } from "vue";
function a(n) {
  if (typeof n == "boolean")
    return n;
  if (typeof n == "string")
    switch (n = n.trim().toLowerCase(), n) {
      case "true":
        return !0;
      case "false":
        return !1;
    }
}
const R = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  parseBoolean: a
}, Symbol.toStringTag, { value: "Module" }));
let w = (n = 21) => crypto.getRandomValues(new Uint8Array(n)).reduce((o, l) => (l &= 63, l < 36 ? o += l.toString(36) : l < 62 ? o += (l - 26).toString(36).toUpperCase() : l > 62 ? o += "-" : o += "_", o), "");
const $ = ["aria-label", "checked", "disabled", "id", "name", "required", "role", "value"], C = ["for"], U = /* @__PURE__ */ m({
  __name: "TarCheckbox",
  props: {
    ariaLabel: {},
    disabled: { type: [Boolean, String] },
    id: {},
    inline: { type: [Boolean, String] },
    label: {},
    modelValue: { type: [Boolean, String] },
    name: {},
    required: { type: [Boolean, String] },
    reverse: { type: [Boolean, String] },
    role: {},
    switch: { type: [Boolean, String] },
    value: {}
  },
  emits: ["update:model-value"],
  setup(n, { expose: o, emit: l }) {
    const r = n, s = B(), v = t(() => {
      const e = ["form-check"];
      return a(r.inline) && e.push("form-check-inline"), a(r.reverse) && e.push("form-check-reverse"), a(r.switch) && e.push("form-switch"), e;
    }), f = t(() => r.id ?? w()), b = t(() => r.role ?? (r.switch ? "switch" : void 0)), y = l;
    function k(e) {
      y("update:model-value", e.target.checked);
    }
    function S() {
      var e;
      (e = s.value) == null || e.focus();
    }
    return o({ focus: S }), (e, q) => (c(), u("div", {
      class: p(v.value)
    }, [
      d(e.$slots, "default", {}, () => [
        h("input", {
          "aria-label": e.ariaLabel,
          checked: i(a)(e.modelValue),
          class: "form-check-input",
          disabled: i(a)(e.disabled),
          id: f.value,
          name: e.name,
          ref_key: "inputRef",
          ref: s,
          required: i(a)(e.required),
          role: b.value,
          type: "checkbox",
          value: e.value,
          onChange: k
        }, null, 40, $),
        d(e.$slots, "label-override", {}, () => [
          e.label ? (c(), u("label", {
            key: 0,
            class: "form-check-label",
            for: f.value
          }, g(e.label), 9, C)) : _("", !0)
        ])
      ])
    ], 2));
  }
}), T = ["role"], V = { class: "visually-hidden" }, j = /* @__PURE__ */ m({
  __name: "TarSpinner",
  props: {
    grow: { type: [Boolean, String] },
    inline: { type: [Boolean, String] },
    label: { default: "Loading..." },
    role: { default: "status" },
    small: { type: [Boolean, String] },
    variant: {}
  },
  setup(n) {
    const o = n, l = t(() => {
      const r = a(o.grow) ? "grow" : "border", s = [`spinner-${r}`];
      return a(o.small) && s.push(`spinner-${r}-sm`), o.variant && s.push(`text-${o.variant}`), s;
    });
    return (r, s) => i(a)(r.inline) ? (c(), u("span", {
      key: 0,
      class: p(l.value),
      "aria-hidden": "true"
    }, null, 2)) : (c(), u("div", {
      key: 1,
      class: p(l.value),
      role: r.role
    }, [
      d(r.$slots, "label-override", {}, () => [
        h("span", V, g(r.label), 1)
      ])
    ], 10, T));
  }
});
export {
  U as TarCheckbox,
  j as TarSpinner,
  R as parsingUtils
};
//# sourceMappingURL=logitar-vue3-ui.js.map
